Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class DescriptionBase

    java.lang.Object
      org.deegree.ogcbase.DescriptionBase

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  Description

    public class DescriptionBase

extends Object
implements Cloneable

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`DescriptionBase(String name)` just `name` is mandatory
`DescriptionBase(String name, String description, MetadataLink metadataLink)`

Method Summary
`Object` | `clone()`
`String` | `getDescription()`
`MetadataLink` | `getMetadataLink()`
`String` | `getName()`
`void` | `setDescription(String description)`
`void` | `setMetadataLink(MetadataLink metadataLink)`
`void` | `setName(String name)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescriptionBase

    public DescriptionBase(String name)
                    throws OGCException

  just `name` is mandatory

  Parameters:
    `name` -
  Throws:
    `OGCException`

### DescriptionBase

    public DescriptionBase(String name,
                           String description,
                           MetadataLink metadataLink)
                    throws OGCException

Parameters:
  `description` -
  `name` -
  `metadataLink` -
Throws:
  `OGCException`

Method Detail

### getDescription

    public String getDescription()

  Returns:
    Returns the description.

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - The description to set.

### getMetadataLink

    public MetadataLink getMetadataLink()

  Returns:
    Returns the metadataLink.

### setMetadataLink

    public void setMetadataLink(MetadataLink metadataLink)

  Parameters:
    `metadataLink` - The metadataLink to set.

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)
                 throws OGCException

  Parameters:
    `name` - The name to set.
  Throws:
    `OGCException`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org